# Copyright : Olivier Langella, Filippo Rusconi (both CNRS)
# License : GPL-3.0+
# Authors : Olivier Langella, Filippo Rusconi

set(PappsoMSpp_FOUND 1)

set(PappsoMSpp_INCLUDE_DIRS ${CMAKE_INSTALL_PREFIX}/include/pappsomspp)
mark_as_advanced(PappsoMSpp_INCLUDE_DIRS)

set(PappsoMSpp_LIBRARY ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/libpappsomspp.so.${PAPPSOMSPP_VERSION})
mark_as_advanced(PappsoMSpp_LIBRARY)

if(NOT TARGET PappsoMSpp::Core)

	add_library(PappsoMSpp::Core UNKNOWN IMPORTED)

	set_target_properties(PappsoMSpp::Core PROPERTIES
		IMPORTED_LOCATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/libpappsomspp.so.${PAPPSOMSPP_VERSION}"
		INTERFACE_INCLUDE_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/include/pappsomspp")

endif()


set(PappsoMSppWidget_FOUND 1)

set(PappsoMSppWidget_LIBRARY ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/libpappsomspp-widget.so.${PAPPSOMSPP_VERSION})
mark_as_advanced(PappsoMSppWidget_LIBRARY)

if(NOT TARGET PappsoMSpp::Widget)

	add_library(PappsoMSpp::Widget UNKNOWN IMPORTED)

	set_target_properties(PappsoMSpp::Widget PROPERTIES
		IMPORTED_LOCATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/libpappsomspp-widget.so.${PAPPSOMSPP_VERSION}"
		INTERFACE_INCLUDE_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/include/pappsomspp")

endif()
